View Issue Details

IDProjectCategoryView StatusLast Update
0002771Ham Radio DeluxeBugpublic2019-04-28 11:42
ReporterKB3NPHAssigned ToJOSE 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.5.0.196 
Summary0002771: Green Heron Rotator RT-21 will not connect
DescriptionDid a remote into customer's computer. Has a Green Heron RT-21 Rotator and controller. Connected to computer via virtual com port3 using FTDI interface cable. When this rotor option is selected from the rotator types dropdown, select Com3 and set refresh to 1 second. Click connect and the software will not connect to the rotor controller.

If the rotor type is changed to the RT-20 on Com3 with 1 second refresh, it connects properly but will not turn the rotor. Something seems to be amiss with the software connecting to the wrong rotor type and not being able to control the RT-21 controler.
Additional InformationTicket #463859
TagsNo tags attached.
ModuleRotator
Sub-ModuleFunctional
Testing Beta Successful

Activities

K7ZCZ

2018-06-29 17:07

manager   ~0005550

fix spelling so that searching is possible

WA9PIE

2019-02-20 23:22

administrator   ~0007462

Given what I'm seeing with the Yaesu rotor controller, I think we should check the baud rate for all these controllers to make sure we're using a baud rate that is supported by the controller.

JOSE

2019-02-21 13:32

developer   ~0007479

There are only a few Rotators that the baud rate is configurable. Yaesu is one of them. For all Heron RT-20/RT-21 the software uses 4800 only and there is no way to change it from the GUI.

WA9PIE

2019-04-28 11:42

administrator   ~0007894

Confirmed by Craig, KE5VSH

Issue History

Date Modified Username Field Change
2018-06-15 14:51 KB3NPH New Issue
2018-06-21 13:26 WA9PIE Assigned To => JOSE
2018-06-21 13:26 WA9PIE Status new => assigned
2018-06-29 17:07 K7ZCZ Summary Ticket #463859 Green Haron Rotator RT-21 will not connect => Ticket #463859 Green Heron Rotator RT-21 will not connect
2018-06-29 17:07 K7ZCZ Note Added: 0005550
2019-02-20 23:22 WA9PIE Note Added: 0007462
2019-02-21 09:26 WA9PIE Summary Ticket #463859 Green Heron Rotator RT-21 will not connect => Green Heron Rotator RT-21 will not connect
2019-02-21 09:26 WA9PIE Additional Information Updated View Revisions
2019-02-21 13:32 JOSE Note Added: 0007479
2019-02-26 20:33 JOSE Project 1 - Backlog => 3 - Current Dev List
2019-02-26 20:33 JOSE Status assigned => resolved
2019-02-26 20:33 JOSE Resolution open => fixed
2019-02-26 20:33 JOSE Fixed in Version => 6.5.0.196
2019-02-27 23:48 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2019-03-01 19:26 WA9PIE Fixed in Version 6.5.0.196 => 6.5.0.199
2019-03-01 19:27 WA9PIE Fixed in Version 6.5.0.199 => 6.5.0.196
2019-04-28 11:42 WA9PIE Status resolved => closed
2019-04-28 11:42 WA9PIE Testing Not Started => Beta Successful
2019-04-28 11:42 WA9PIE Note Added: 0007894